Skip to content
View as Markdown

POST Estimate Campaign Contacts​

POST
/campaigns/estimated-contacts

Estimate the number of contacts that match the given segmentation settings. Supports filtering by list/tag, dynamic segment, or advanced filters. Useful for previewing audience size before sending a campaign.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"sending_filter": "list_tag",
"subscribers": {
"lists": [
0
],
"tags": [
0
]
},
"excludedSubscribers": {
"lists": [
0
],
"tags": [
0
]
},
"dynamic_segment": {
"slug": "string",
"id": 0
},
"advanced_filters": [
{
}
]
}

Responses​

Estimated contact count returned.

application/json
JSON
{
"count": 0,
"execution_time": 0
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI